.skeleton {
      background-color: #e0e0e0;
      border-radius: 4px;
      margin-bottom: 10px;
      position: relative;
      overflow: hidden;
      height: 100%;
    }

.skeleton::before {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    left: -150px;
    height: 100%;
    width: 150px;
    background: linear-gradient(to right, transparent 0%, #f0f0f0 50%, transparent 100%);
    animation: loading 1.5s infinite;
}

@keyframes loading {
    from {
        
    }
    to {
        left: 100%;
    }
}

.skeleton-text {
    height: 20px;
    width: 80%;
}

.skeleton-title {
    height: 30px;
    width: 60%;
}